import type { ISession, JatsOptions } from 'jats-xml';
/**
 * Validate a given file as MECA bundle
 *
 * Returns true if file is valid.
 *
 * Validation checks:
 * - File exists and is zip format
 * - Bundle includes manifest.xlm which validates against DTD
 * - manifest matches items present in the bundle
 * - manifest item types match known types
 * - JATS items validate
 */
export declare function validateMeca(session: ISession, file: string, opts: Partial<JatsOptions>): Promise<boolean>;
/**
 * Validate a given file as MECA bundle
 *
 * Logs confirmation message if valid and throws an error if invalid.
 */
export declare function validateMecaWrapper(session: ISession, file: string, opts: Partial<JatsOptions>): Promise<void>;
//# sourceMappingURL=validate.d.ts.map